Page MenuHomePhabricator

Zero: Clicking on "Desktop" link on the mobile version redirects to a WM error page
Closed, ResolvedPublic

Description

Hi, since a week I can't access to the desktop version of wikipedia when clicking on "desktop" link at the end of any page (using a mobile device) :

STEPS

Please follow these steps to check if you have the same problem :

  1. Go to the home page of any WMF wiki (https://en.m.wikipedia.org) using a mobile.
  1. Click on "desktop" link at the end of the page.

IMG_20160826_105622_206.JPG (789×480 px, 65 KB)

  1. An other link will apear, click on it.

IMG_20160826_105542_317.JPG (459×480 px, 39 KB)

  1. A Wikimedia error page is shown.

IMG_20160826_105458_788.JPG (258×756 px, 34 KB)

Could you guess/correct the problem ?

OTHER DETAILS

Thank you.

Event Timeline

Issimo_15 renamed this task from Access to desktop version from mobile devices impossible to Clicking on "Desktop" link on the mobile version redirects to a WM error page.Aug 26 2016, 10:28 AM
Issimo_15 triaged this task as Medium priority.
Issimo_15 updated the task description. (Show Details)

@Issimo_15 I can't replicate this. When I carry out step 1 I am taken to the desktop site not the intermediate page you show in step 2.

Is anyone able to replicate this?

@Issimo_15 do you get the same issue when logged out?

@Jdlrobson Yes, I do. But I have a remark : my mobile operator offers access to Wikipedia for free. Before, when clicking on "desktop" a page with a message "you are about to leave Wikipedia… come back / continue" was shown. This page is replaced now by links as in pic2. Maybe there's a relation between them.

Jdlrobson renamed this task from Clicking on "Desktop" link on the mobile version redirects to a WM error page to Zero: Clicking on "Desktop" link on the mobile version redirects to a WM error page.Aug 26 2016, 9:45 PM
Jdlrobson edited projects, added ZeroBanner; removed MobileFrontend.
Jdlrobson added a subscriber: jhobs.

Thanks @Issimo_15 - yes that changes a lot! @jhobs can you verify this bug with the headers needed to invoke Zero - I forget what they are).

fyi @dr0ptp4kt - may want to pull this into this sprint.
Also ping @jhobs would appreciate your help on above ^

Sorry, missed this the first time around. It's been a while since I've looked into Zero stuff so I may need to refresh myself, but I'm on it.

I cannot reproduce this. It works as expected for me when adding my IP address to the test configuration. I get the proper interstitial after clicking on the desktop link:

bddfe10cabd5133e21b8d80da61e1190.png (349×452 px, 17 KB)

Which then takes me to the desktop site.

@DFoy Can you investigate if this is a problem with a specific partner, by chance?
@Issimo_15 Do you mind responding publicly with your current mobile carrier? If not, I'm sure Dan Foy can coordinate with you off-list.

jhobs changed the task status from Open to Stalled.Aug 30 2016, 9:14 PM

Stalling until further investigation.

@jhobs My current mobile carrier is "Djezzy" (Algeria).

@jhobs can you check or enlighten me how to check with that mobile carrier? Be sure to check the main page specifically.

Jdlrobson changed the task status from Stalled to Open.Aug 31 2016, 9:06 PM

@Jdlrobson @jhobs One piece of information here that affects the testing -I had to turn off Zero service to Djezzy on Aug 23rd. I'm not certain of the exact timing this error was observed, so it might have been active at that time.

@DFoy what does turning off entail? It's possible there's some cached HTML out there. I assume it's still an issue @Issimo_15 ? (ps. I really appreciate all your input here! These Zero changes are a pain to diagnose.)

@Jdlrobson I can describe how to check individual mobile carriers off-list.

Oh, and yes, I checked the Main Page and got the result I posted before.

I had to turn off Zero service to Djezzy on Aug 23rd. I'm not certain of the exact timing this error was observed, so it might have been active at that time.

Be sure that the carrier is still offering Zero service. In which concerns the timing of the error, it is appearing since a week and is still shown. [Sorry for my bad English].

Sounds like this may be the result of some caching then, if I'm understanding Issimo correctly. There's a small chance one of the LocalStorage settings could be affecting things as well.

I don't know if this is useful but I have an other remark : I think that this problem really started after the date cited by DFoy. But it doesn't concern only that message ("you are about to leave Wikipedia Zero...") but also the banner "Free data by Djezzy" that is no longer shown.

I don't know how, but the problem is resolved.

Just to give a little bit of closure to this task, here's what I'm pretty sure happened:

  1. @Issimo_15 was on an enabled partner configuration and thus had transformed links and an exit interstitial
  2. Said partner was disabled
  3. HTML transformations were cached, thus the non-js exit interstitial page was still loaded, but with no matching enabled partner configuration, it simply showed a link to the page instead of the proper content
  4. After a few days, the cache cleared and the problem resolved itself

We may want to revisit Zero's approach around transforming links, as (3) can certainly be a confusing state for end users. Additionally, it may be worth investigating a way to enable a warning period to let users know a partner is about to stop offering free access to Wikipedia.
cc/ @dr0ptp4kt @Yurik @DFoy @Jdlrobson